/// <reference path="AbstractBuilder.d.ts" />
import { AbstractBuilder } from './AbstractBuilder';
export declare class GenerateBuilder implements AbstractBuilder {
    path: string;
    files: [{
        relativePath: string;
    }];
    startString: string | string[];
    endString: string | string[];
    bodyString: string[] | any;
    constructor(path: string);
    setBody(handleBody: any): this;
    setStart(startSting: string | string[]): this;
    setEnd(endString?: string | string[]): this;
    build(): string | string[][];
}
